Add BOM Items

Add one or more items to the bill of materials for a version of a PCB project.

For each item you can specify:

  • part
    Required. The part/designator (e.g. 'C1') for the item.

  • value
    The value (e.g. '1K') for the item.

  • package
    The package type (e.g. '0402') for the item.

  • populate
    Whether or not this part should be populated on the board. Defaults to true.

  • mpn
    The manufacturer part number of the part to use for this item. MacroFab assigns the item an
    approved vendor list (AVL) containing the matching part.

  • approved_vendor_list_id
    An existing approved vendor list to source this item from, instead of mpn.

Every item is assigned an AVL when it is saved. Responds with the saved items, including their
record_num and approved_vendor_list_id.

New items are sourced by MacroFab. To mark items as customer-supplied, use
PUT /api/v3/pcb/{pcb_id}/{pcb_version}/sourcing/defaults. The origin field is deprecated
and not used.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The PCB ID

integer
required

The PCB version number

Body Params
parts
array of objects
required
parts*
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json